Subject: bug#76337: closed (Re: [bug#76337] [PATCH] gnu: llvm-spirv-translator: Fix cross compilation)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 04 Apr 2025 01:51:03 +0000

Your bug report

#76337: [PATCH] gnu: llvm-spirv-translator: Fix cross compilation 

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76337: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76337
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#76337] [PATCH] gnu: llvm-spirv-translator: Fix cross compilation
From: John Kehayias <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked], Yarl Baudig <[email-masked]>
Date: Fri, 04 Apr 2025 01:49:51 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Fri, Mar 28, 2025 at 11:43 AM, John Kehayias wrote:

> Hi!
>
> On Wed, Mar 26, 2025 at 10:45 PM, Ludovic Courtès wrote:
>
>> Yarl Baudig <[email-masked]> skribis:
>>
>>> * gnu/packages/vulkan.scm (llvm-spirv-translator): Fix
>>>  cross-compilation. [configure-flags]: replace ungexp with ungexp-native when
>>>  relevant. Fix headers path.
>>>
>>> Change-Id: If0fe4c42e98a67cbda27519815f556bb44713a60
>>
>> Actually I spoke too fast: the patch LGTM but because of the large
>> number of rebuilds, this should go on a branch.  What about the next
>> mesa branch, John?
>>
>> Ludo’.
>
> Sorry I missed the original submission in my search (I was looking for
> mesa-related ones) but I now have <https://issues.guix.gnu.org/77339>
> already live (and built) on mesa-updates albeit without this patch. The
> branch merge request is at <https://issues.guix.gnu.org/77340>.
>

I've now applied this patch on mesa-updates as
fd838007e57d9b18257aa73bc2180da439405d05 (though note that rebases will
happen). Not sure when that will make it to master, but I'll go ahead
and close this now, thanks!

> Though I'm not sure how long it will take to get to merging this branch
> if we're waiting for the 10(!!) branches ahead in the queue. I'm not
> sure if they are all large rebuilds or just for organizing teams work
> that can be merged more easily.
>
> I'll have to see how the coverage on non-x86 is, but the fact that the
> Berlin job has just about finished already might be good news? If we are
> waiting, I can update mesa once they put a new patch release out and
> include this patch at the same time unless it is more critical.
>
> Thoughts?
>
> Thanks!
> John

Subject: [PATCH] gnu: llvm-spirv-translator: Fix cross compilation
From: Yarl Baudig <[email-masked]>
To: [email-masked]
Cc: Yarl Baudig <[email-masked]>
Date: Sun, 16 Feb 2025 15:07:18 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/vulkan.scm (llvm-spirv-translator): Fix
 cross-compilation. [configure-flags]: replace ungexp with ungexp-native when
 relevant. Fix headers path.

Change-Id: If0fe4c42e98a67cbda27519815f556bb44713a60
---
 gnu/packages/vulkan.scm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/vulkan.scm b/gnu/packages/vulkan.scm
index 241dff73ac..bfa32740e0 100644
--- a/gnu/packages/vulkan.scm
+++ b/gnu/packages/vulkan.scm
@@ -177,10 +177,9 @@ (define-public spirv-llvm-translator
                      (target-x86-64?))
        #:configure-flags
        #~(list (string-append "-DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR="
-                              #$(this-package-native-input "spirv-headers")
-                              "/include/spirv")
+                              #+(this-package-native-input "spirv-headers"))
                (string-append "-DLLVM_EXTERNAL_LIT="
-                              #$(this-package-native-input "python-lit")
+                              #+(this-package-native-input "python-lit")
                               "/bin/lit")
                (string-append "-DCMAKE_EXE_LINKER_FLAGS=-Wl,-rpath="
                               #$output "/lib")

base-commit: 1725d74c9f730f2628e2a02659b5ce925276d7ca
-- 
2.48.1